Module | FileUtils::DryRun
In: | lib/facets/core/fileutils/stage.rb lib/facets/core/fileutils/compress.rb

### Methods

compress tar_bz2 tar_bzip tar_gzip untar_bz2 untar_bzip untar_gzip unzip zip

### Included Modules

Stage

### Public Instance methods

compress( format, folder, to_file=nil )
tar_bz2( folder, to_file=nil )

Alias for tar_bzip

tar_bzip( folder, to_file=nil )

Tar Bzip2

tar_gzip( folder, to_file=nil )

Tar Gzip

untar_bz2( file )

Alias for untar_bzip

untar_bzip( file )

Untar Bzip2

untar_gzip( file )

Untar Gzip

unzip( file )

Unzip

zip( folder, to_file=nil )

Zip

[Validate]